---
- name: "Add GitLab URL to hosts"
  lineinfile: dest=/etc/hosts line="{{ external_load_balancer_ip }}   {{ gitlab_dns }}"
  
- name: "Add Geo URL to hosts"
  lineinfile: dest=/etc/hosts line="{{ geo_node_ip }}   {{ geo_dns }}"
  
- name: Postgres Primary Geo Site Certificate
  template:
    src: server.crt
    dest: /home/centos/server.crt
    owner: root
    mode: 0600

- name: Create /etc/gitlab/gitlab-secrets.json
  template:
    src: gitlab-secrets.json
    dest: /etc/gitlab/gitlab-secrets.json
    owner: root
    mode: 0600

# Need to set variable to only run on first run
- name: Stopping Puma
  command: gitlab-ctl stop puma
  when:
    - gitlab_rails_webserver == 'puma'

- name: Stopping Unicorn
  command: gitlab-ctl stop unicorn
  when:
    - gitlab_rails_webserver == 'unicorn'

- name: Stopping Sidekiq
  command: gitlab-ctl stop sidekiq

- name: Create /etc/gitlab/gitlab.rb
  template:
    src: gl_geo.rb
    dest: /etc/gitlab/gitlab.rb
    owner: root
    mode: 0600

- name: Reconfigure GitLab
  command: gitlab-ctl reconfigure

- name: Install Certificate
  shell: "install -D -o gitlab-psql -g gitlab-psql -m 0400 -T /home/centos/server.crt ~gitlab-psql/.postgresql/root.crt"

- name: Restart GitLab
  command: gitlab-ctl restart

- name: Reconfigure GitLab
  command: gitlab-ctl reconfigure

#- name: Run the first Geo Replication
#  expect:
#    command: gitlab-ctl replicate-geo-database --slot-name=secondary --host=51.89.225.147
#    responses:
#        answer1: "replicate"
#        answer2: "{{ postgres_pwd }}"

#- name: Replication this need to be done manually is a interactive script
# command: `gitlab-ctl replicate-geo-database --slot-name=secondary --host=51.89.226.206`

#- name: Register Geo in the Primary Trough the UI (Admin/GEO/New Geo Node)
#  command: `echo Go to Admin/GEO/New Geo Node and Register the Geo Node `